build:
  image: docker:20.10.12
  stage: build
  tags:
    - firmware
  services:
    - docker:20.10.12-dind
  variables:
    IMAGE_TAG: $CI_REGISTRY_IMAGE/toolchain:latest
  script:
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - docker build -t $IMAGE_TAG .
    - docker push $IMAGE_TAG
